## kernsmooth 2.22.21

=== DESCRIPTION ===
Package: KernSmooth
Priority: recommended
Version: 2.22-21
Date: 2007-07-26
Title: Functions for kernel smoothing for Wand & Jones (1995)
Author: S original by Matt Wand.
	R port by  Brian Ripley <ripley@stats.ox.ac.uk>.
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Depends: R (>= 2.5.0), stats
Suggests: MASS
Description: functions for kernel smoothing (and density estimation)
  corresponding to the book: 
  Wand, M.P. and Jones, M.C. (1995) "Kernel Smoothing".
License: Unlimited use and distribution (see LICENCE).
URL: http://www.maths.unsw.edu.au/~wand
Packaged: Thu Jul 26 13:43:21 2007; ripley

## kernsmooth 2.23

=== DESCRIPTION ===
Package: KernSmooth
Priority: recommended
Version: 2.23-20
Date: 2021-05-03
Title: Functions for Kernel Smoothing Supporting Wand & Jones (1995)
Authors@R: c(person("Matt", "Wand", role = "aut",
	             email = "Matt.Wand@uts.edu.au"),
	     person("Cleve", "Moler", role = "ctb",
	            comment = "LINPACK routines in src/d*"),
             person("Brian", "Ripley", role = c("trl", "cre", "ctb"),
                    email = "ripley@stats.ox.ac.uk",
		    comment = "R port and updates"))
Note: Maintainers are not available to give advice on using a package
        they did not author.
Depends: R (>= 2.5.0), stats
Suggests: MASS, carData
Description: Functions for kernel smoothing (and density estimation)
  corresponding to the book: 
  Wand, M.P. and Jones, M.C. (1995) "Kernel Smoothing".
License: Unlimited
ByteCompile: yes
NeedsCompilation: yes
Packaged: 2021-05-03 08:46:19 UTC; ripley
Author: Matt Wand [aut],
  Cleve Moler [ctb] (LINPACK routines in src/d*),
  Brian Ripley [trl, cre, ctb] (R port and updates)
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2021-05-03 14:06:48 UTC

## kernsmooth 2.23-16

=== debian/changelog ===
kernsmooth (2.23-16-1+1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10

 -- Michael Rutter <marutter@gmail.com>  Sat, 04 Apr 2020 20:47:34 +0000

kernsmooth (2.23-16-1+1) unstable; urgency=medium

  * No changes but source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 16 Oct 2019 15:55:07 -0500

kernsmooth (2.23-16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Switch to ${R:Depends} now that dh-r is fixed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Oct 2019 15:06:52 -0500

kernsmooth (2.23-15-3.1) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * Manual override for ${R:Depends} while dh-r is looked at

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 14:29:49 -0500

kernsmooth (2.23-15-3) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Apr 2017 09:59:08 -0500

kernsmooth (2.23-15-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Jun 2016 07:44:37 -0500

kernsmooth (2.23-15-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Jun 2015 09:07:58 -0500

kernsmooth (2.23-14-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Feb 2015 07:11:32 -0600

kernsmooth (2.23-13-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Sep 2014 07:19:24 -0500

kernsmooth (2.23-12-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Mar 2014 06:36:56 -0500

kernsmooth (2.23-11-1) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Mar 2014 06:35:33 -0500

kernsmooth (2.23-10-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Mar 2013 06:25:14 -0500

kernsmooth (2.23-10-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Mar 2013 08:21:31 -0500

kernsmooth (2.23-9-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 03 Mar 2013 19:09:00 -0600

kernsmooth (2.23-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jun 2012 12:26:11 -0500

kernsmooth (2.23-7-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Nov 2011 13:01:43 -0600

kernsmooth (2.23-6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Jun 2011 17:25:41 -0500

kernsmooth (2.23-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 06 May 2011 20:01:20 -0500

kernsmooth (2.23-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Sep 2010 12:33:57 -0500

kernsmooth (2.23-3-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 09:35:25 -0600

kernsmooth (2.23-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Sep 2009 14:17:16 -0500

kernsmooth (2.23-2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 May 2009 09:29:43 -0500

kernsmooth (2.23-1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 May 2009 17:05:51 -0500

kernsmooth (2.22.22-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: kernsmooth
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper, r-base-dev (>= 3.6.1), dh-r, r-cran-mass
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernsmooth
Vcs-Git: https://salsa.debian.org/edd/r-cran-kernsmooth.git
Homepage: https://cran.r-project.org/package=KernSmooth

Package: r-cran-kernsmooth
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}, r-cran-mass
Replaces: r-recommended (<< 1.9.0)
Description: GNU R package for kernel smoothing and density estimation
 This package provides functions for kernel smoothing and density estimation
 corresponding to M.P. Wand and M.C. Jones, "Kernel Smoothing", 1995.
 .
 This package is part of the set of packages that are 'recommended' 
 by R Core and shipped with upstream source releases of R itself.
 .
 URL: http://www.maths.unsw.edu.au/~wand

## kernsmooth 2.23-17

=== debian/changelog ===
kernsmooth (2.23-17-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:04:11 +0000

kernsmooth (2.23-17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Apr 2020 08:35:16 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, r-base-dev (>= 3.6.1), dh-r, r-cran-mass
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10.0.0), r-base-dev (>= 3.6.3), dh-r, r-cran-mass
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernsmooth
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernsmooth.git
 Homepage: https://cran.r-project.org/package=KernSmooth

## kernsmooth 2.23-18

=== debian/changelog ===
kernsmooth (2.23-18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Oct 2020 08:07:54 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10.0.0), r-base-dev (>= 3.6.3), dh-r, r-cran-mass
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-mass
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernsmooth
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernsmooth.git

## kernsmooth 2.23-20

=== debian/changelog ===
kernsmooth (2.23-20-1) unstable; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 08 May 2021 16:39:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r, r-cran-mass
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, r-cran-mass
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernsmooth
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernsmooth.git
 Homepage: https://cran.r-project.org/package=KernSmooth

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/KernSmooth_([-0-9\.]*).tar.gz

## kernsmooth 2.23-21

=== debian/changelog ===
kernsmooth (2.23-21-1cran1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Wed, 28 Jun 2023 23:19:07 +0000

kernsmooth (2.23-21-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 13 May 2023 10:47:24 -0400

kernsmooth (2.23-9-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 03 Mar 2013 11:37:56 -0500

kernsmooth (2.23-8-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Thu, 28 Jun 2012 11:29:25 -0400

kernsmooth (2.23-7-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Thu, 10 Nov 2011 13:10:12 -0500

kernsmooth (2.23-6-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Thu, 09 Jun 2011 19:06:14 -0400

kernsmooth (2.23-20-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Tue, 04 May 2021 08:12:12 -0400

kernsmooth (2.23-18-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 31 Oct 2020 10:02:45 -0400

kernsmooth (2.23-17-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Tue, 28 Apr 2020 09:37:42 -0400

kernsmooth (2.23-16-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 19 Oct 2019 09:03:55 -0400

kernsmooth (2.23-15-1cran2) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 22 Oct 2016 18:35:15 -0400

kernsmooth (2.23-15-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 05 Jul 2015 21:30:11 -0400

kernsmooth (2.23-14-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 14 Feb 2015 08:39:57 -0500

kernsmooth (2.23-13-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 21 Sep 2014 09:09:51 -0400

kernsmooth (2.23-12-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sat, 29 Mar 2014 09:17:03 -0400

kernsmooth (2.23-10-1cran1) testing; urgency=low

  * cran2deb svn: 362M with DB version 1.

 -- cran2deb4ubuntu <cran2deb4ubuntu@gmail.com>  Sun, 24 Mar 2013 20:01:10 -0400

## kernsmooth 2.23-22

=== debian/changelog ===
kernsmooth (2.23-22-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:10:30 +0200

kernsmooth (2.23-22-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 Jul 2023 08:31:09 -0500

kernsmooth (2.23-21-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2023 06:34:26 -0500

kernsmooth (2.23-21-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 May 2023 17:25:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: kernsmooth
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r, r-cran-mass
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-mass
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernsmooth
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernsmooth.git
 Homepage: https://cran.r-project.org/package=KernSmooth

## kernsmooth 2.23-24

=== debian/changelog ===
kernsmooth (2.23-24-1) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 May 2024 20:26:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kernsmooth
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r, r-cran-mass
-Standards-Version: 4.6.2
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.0), dh-r, r-cran-mass
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernsmooth
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernsmooth.git
 Homepage: https://cran.r-project.org/package=KernSmooth

## kernsmooth 2.23-26

=== debian/changelog ===
kernsmooth (2.23-26-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Jan 2025 09:51:57 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.0), dh-r, r-cran-mass
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-mass
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-kernsmooth
 Vcs-Git: https://salsa.debian.org/edd/r-cran-kernsmooth.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-kernsmooth package
# Copyright 2004 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R
